Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Target version:    

ruby -v: ruby 2.1.0dev (2013-07-25 trunk 42169)

[x86_64-linux]

Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN

Description

The exmaple of the comment document of REXML::Attribute#namespace has some problems.

An old style hash literal is used.

The example really does not use EXML::Attribute#namespace

A patch to fix the example is attached to this ticket.

Associated revisions

Revision e730b1aa73b8fe833d8b8d9e05a9c81e5410ec83 - 08/04/2013 06:37 PM - zzak (zzak _)

lib/rexml/attribute.rb: [DOC] Update example for #namespace

Patch by Ippei Obayashi [Bug #8685] [ruby-core:56173]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42376 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e730b1aa - 08/04/2013 06:37 PM - zzak (zzak _)

lib/rexml/attribute.rb: [DOC] Update example for #namespace

Patch by Ippei Obayashi [Bug #8685] [ruby-core:56173]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42376 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/26/2013 02:09 AM - zzak (zzak _)

@ohai Thank you! It seems you removed an example for #add_attributes

Why was this removed?

#2 - 07/26/2013 02:10 AM - zzak (zzak _)

- Status changed from Open to Assigned

#3 - 07/28/2013 08:06 PM - ohai (Ippei Obayashi)

zzak (Zachary Scott) wrote:

@ohai Thank you! It seems you removed an example for #add_attributes

Why was this removed?

This is because

the example is a part the document of REXM::Attribute#namespace, not a part of REXML::Element#add_attributes

REXML::Element#add_namespace is a better way to add a new namespace rather than add_attribute

#4 - 08/05/2013 03:37 AM - zzak (zzak _)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r42376.

Ippei, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

lib/rexml/attribute.rb: [DOC] Update example for #namespace

Patch by Ippei Obayashi [Bug #8685] [ruby-core:56173]

Files

rexml-attribute-namespace.patch 705 Bytes 07/26/2013 ohai (Ippei Obayashi)
